//  
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Unit2;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Memo2: TMemo;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Label3: TLabel;
    Label4: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Bevel3: TBevel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
     M1 : TMassiv;
     M2 : TMassiv;
  public
     procedure GetMassiv; {   TMemo}
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//  
procedure TForm1.FormCreate(Sender: TObject);
begin
  M1 := TMassiv.Create;
  M2 := TMassiv.Create;
  M1.Init;
  M2.Init;
  GetMassiv;
end;

//  
procedure TForm1.FormDestroy(Sender: TObject);
begin
  M1.Free;
  M2.Free;
end;

procedure TForm1.GetMassiv;
var
  i, j: integer;
  Str: string;
begin
  Memo1.Clear;
  for i := 1 to 5 do begin
    Str := '';
    for j := 1 to 5 do Str := Str + IntToStr(M1.GetElement(i,j)) + '  ';
    Memo1.Lines.Add(Str);
  end;

  Memo2.Clear;
  for i := 1 to 5 do begin
    Str := '';
    for j := 1 to 5 do Str := Str + IntToStr(M2.GetElement(i,j)) + '  ';
    Memo2.Lines.Add(Str);
  end;

end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  M1.FillMassiv;
  GetMassiv;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  M2.FillMassiv;
  GetMassiv;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Label3.Caption := ' : ' + IntToStr(M1.CalcSum);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Label4.Caption := ' : ' + IntToStr(M2.CalcSum);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Label6.Caption := ' : ~' + IntToStr(M1.CalcSr);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  Label7.Caption := ' : ~' + IntToStr(M2.CalcSr);
end;

end.
